print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricejam = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local jamHudFile = "Paletten/hud_fill_jam.dds"
	local jamHudFileSmall = "Paletten/hud_fill_jam_small.dds"
	
    local jamFilType = g_fillTypeManager:addFillType("JAM", g_i18n:getText("jam"), true, pricejam * 2.0, 0.00045, math.rad(10), jamHudFile, jamHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasjam=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasjam=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "JAM" then
		hasjam=true
	end;
		
end;

		if hasmaize and not hasjam then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("JAM")
		local price = g_fillTypeManager:getFillTypeByName("JAM").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("JAM")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)