print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricemarmelade = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local marmeladeHudFile = "Paletten/hud_fill_marmelade.dds"
	local marmeladeHudFileSmall = "Paletten/hud_fill_marmelade_small.dds"
	
    local marmeladeFilType = g_fillTypeManager:addFillType("MARMELADE", g_i18n:getText("marmelade"), true, pricemarmelade * 2.1, 0.00045, math.rad(10), marmeladeHudFile, marmeladeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasmarmelade=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasmarmelade=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "MARMELADE" then
		hasmarmelade=true
	end;
		
end;

		if hasmaize and not hasmarmelade then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("MARMELADE")
		local price = g_fillTypeManager:getFillTypeByName("MARMELADE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MARMELADE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)