print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceoliveoil = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local oliveoilHudFile = "Paletten/hud_fill_oliveoil.dds"
	local oliveoilHudFileSmall = "Paletten/hud_fill_oliveoil_small.dds"
	
    local oliveoilFilType = g_fillTypeManager:addFillType("OLIVEOIL", g_i18n:getText("oliveoil"), true, priceoliveoil * 3.5, 0.00045, math.rad(10), oliveoilHudFile, oliveoilHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasoliveoil=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasoliveoil=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "OLIVEOIL" then
		hasoliveoil=true
	end;
		
end;

		if hasmaize and not hasoliveoil then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("OLIVEOIL")
		local price = g_fillTypeManager:getFillTypeByName("OLIVEOIL").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("OLIVEOIL")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)